spottopgm(1L)

NAME
spottopgm - convert SPOT satellite images to Portable Greymap format

SYNTAX
spottopgm [-1|2|3] [Firstcol Firstline Lastcol Lastline] inputfile

OPTIONS

-1|2|3
    Extract the given colour from the SPOT image. The colours are infra-red, visible light and ultra-violet, although I don't know which corresponds to which number. If the image is in colour, this will be announced on standard error. The default colour is 1.

Firstcol Firstline Lastcol Lastline
    Extract the specified rectangle from the SPOT image. Most SPOT images are 3000 lines long and 3000 or more columns wide. Unfortunately the SPOT format only gives the width and not the length. The width is printed on standard error. The default rectangle is the width of the input image by 3000 lines.

DESCRIPTION
Spottopgm converts the named inputfile into Portable Greymap format, defaulting to the first color and the whole SPOT image unless specified by the options.

INSTALLATION
You must edit the source program and either define BIG_ENDIAN or LITTLE_ENDIAN, and fix the typedefs for uint32_t, uint16_t and uint8_t appropriately.

BUGS
Currently spottopgm doesn't determine the length of the input file; this would involve two passes over the input file. It defaults to 3000 lines instead.

Spottopgm could extract a three-color image (ppm), but I didn't feel like making the program more complicated than it is now. Besides, there is no one-to-one correspondence between red, green, blue and infra-red, visible and ultra-violet.

I've only had a limited number of SPOT images to play with, and therefore wouldn't guarantee that this will work on any other images.

AUTHOR
Warren Toomey wkt@csadfa.cs.adfa.oz.au

SEE ALSO
The rest of the Pbmplus suite.